// Data.cpp : implementation file
//

#include "stdafx.h"
#include "BWE.h"
#include "Data.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CData

IMPLEMENT_DYNCREATE(CData, CDocument)

CData::CData()
{
}

BOOL CData::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;
	return TRUE;
}

CData::~CData()
{
}


BEGIN_MESSAGE_MAP(CData, CDocument)
	//{{AFX_MSG_MAP(CData)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CData diagnostics

#ifdef _DEBUG
void CData::AssertValid() const
{
	CDocument::AssertValid();
}

void CData::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CData serialization

void CData::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		// TODO: add storing code here
	}
	else
	{
		// TODO: add loading code here
	}
}

/////////////////////////////////////////////////////////////////////////////
// CData commands
